Index: issm/trunk/src/c/parallel/steadystate.cpp
===================================================================
--- issm/trunk/src/c/parallel/steadystate.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/steadystate.cpp	(revision 3567)
@@ -79,22 +79,22 @@
 	
 	_printf_("\n   reading diagnostic horiz model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),HorizAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,HorizAnalysisEnum);
 
 	_printf_("\n   reading diagnostic vert model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),VertAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,VertAnalysisEnum);
 	
 	_printf_("\n   reading diagnostic stokes model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),StokesAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,StokesAnalysisEnum);
 	
 	_printf_("\n   reading diagnostic hutter model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),HutterAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,HutterAnalysisEnum);
 	
 	_printf_("\n   reading surface and bed slope computation model data:\n");
-	model->AddFormulation(fid,SlopecomputeAnalysisEnum());
+	model->AddFormulation(fid,SlopecomputeAnalysisEnum);
 
 	_printf_("\n   read and create thermal finite element model:\n");
-	model->AddFormulation(fid,ThermalAnalysisEnum());
+	model->AddFormulation(fid,ThermalAnalysisEnum);
 	_printf_("\n   read and create melting finite element model:\n");
-	model->AddFormulation(fid,MeltingAnalysisEnum());
+	model->AddFormulation(fid,MeltingAnalysisEnum);
 
 	/*recover parameters: */
@@ -104,6 +104,6 @@
 
 	_printf_("initialize inputs:\n");
-	model->FindParam(&u_g_initial,NULL,NULL,"u_g",DiagnosticAnalysisEnum(),HorizAnalysisEnum());
-	model->FindParam(&p_g_initial,NULL,NULL,"p_g",ThermalAnalysisEnum());
+	model->FindParam(&u_g_initial,NULL,NULL,"u_g",DiagnosticAnalysisEnum,HorizAnalysisEnum);
+	model->FindParam(&p_g_initial,NULL,NULL,"p_g",ThermalAnalysisEnum);
 	model->FindParam(&dt,"dt");
 	model->FindParam(&numberofnodes,"numberofnodes");
@@ -115,6 +115,6 @@
 
 	if(control_analysis){
-		model->FindParam(&u_g_obs,NULL,NULL,"u_g_obs",DiagnosticAnalysisEnum(),HorizAnalysisEnum());
-		model->FindParam(&weights,NULL,NULL,"weights",DiagnosticAnalysisEnum(),HorizAnalysisEnum());
+		model->FindParam(&u_g_obs,NULL,NULL,"u_g_obs",DiagnosticAnalysisEnum,HorizAnalysisEnum);
+		model->FindParam(&weights,NULL,NULL,"weights",DiagnosticAnalysisEnum,HorizAnalysisEnum);
 		inputs->Add("velocity_obs",u_g_obs,2,numberofnodes);
 		inputs->Add("weights",weights,1,numberofnodes);
@@ -122,5 +122,5 @@
 	
 	_printf_("initialize results:\n");
-	results=new DataSet(ResultsEnum());
+	results=new DataSet(ResultsEnum);
 	MPI_Barrier(MPI_COMM_WORLD); finish_init=MPI_Wtime();
 
@@ -140,10 +140,10 @@
 
 			_printf_("process results:\n");
-			ProcessResults(&processed_results,results,model,SteadystateAnalysisEnum());
+			ProcessResults(&processed_results,results,model,SteadystateAnalysisEnum);
 		}
 		else{
 			/*change control_steady to 1 to know we are doing steadystate*/
-			fem_dh=model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum());
-			fem_ds=model->GetFormulation(DiagnosticAnalysisEnum(),StokesAnalysisEnum());
+			fem_dh=model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum);
+			fem_ds=model->GetFormulation(DiagnosticAnalysisEnum,StokesAnalysisEnum);
 			param=(Param*)fem_dh->parameters->FindParamObject("control_steady");
 			param->SetDouble(1);
@@ -165,5 +165,5 @@
 
 			_printf_("process results:\n");
-			ProcessResults(&processed_results,results,model,ControlAnalysisEnum());
+			ProcessResults(&processed_results,results,model,ControlAnalysisEnum);
 		}
 
@@ -177,5 +177,5 @@
 		#ifdef _HAVE_DAKOTA_ 
 		MPI_Barrier(MPI_COMM_WORLD); start_core=MPI_Wtime( );
-		Qmux(model,inputs,SteadystateAnalysisEnum(),NoneAnalysisEnum());
+		Qmux(model,inputs,SteadystateAnalysisEnum,NoneAnalysisEnum);
 		MPI_Barrier(MPI_COMM_WORLD); finish_core=MPI_Wtime( );
 	 	#else
Index: issm/trunk/src/c/parallel/steadystate_core.cpp
===================================================================
--- issm/trunk/src/c/parallel/steadystate_core.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/steadystate_core.cpp	(revision 3567)
@@ -51,11 +51,11 @@
 
 	/*recover fem models: */
-	fem_dh=model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum());
-	fem_dv=model->GetFormulation(DiagnosticAnalysisEnum(),VertAnalysisEnum());
-	fem_ds=model->GetFormulation(DiagnosticAnalysisEnum(),StokesAnalysisEnum());
-	fem_dhu=model->GetFormulation(DiagnosticAnalysisEnum(),HutterAnalysisEnum());
-	fem_sl=model->GetFormulation(SlopecomputeAnalysisEnum());
-	fem_t=model->GetFormulation(ThermalAnalysisEnum());
-	fem_m=model->GetFormulation(MeltingAnalysisEnum());
+	fem_dh=model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum);
+	fem_dv=model->GetFormulation(DiagnosticAnalysisEnum,VertAnalysisEnum);
+	fem_ds=model->GetFormulation(DiagnosticAnalysisEnum,StokesAnalysisEnum);
+	fem_dhu=model->GetFormulation(DiagnosticAnalysisEnum,HutterAnalysisEnum);
+	fem_sl=model->GetFormulation(SlopecomputeAnalysisEnum);
+	fem_t=model->GetFormulation(ThermalAnalysisEnum);
+	fem_m=model->GetFormulation(MeltingAnalysisEnum);
 
 
@@ -81,5 +81,5 @@
 			inputs->Add("velocity",u_g,ndof,numberofnodes);
 		}
-		results_thermal=new DataSet(ResultsEnum()); 
+		results_thermal=new DataSet(ResultsEnum); 
 		thermal_core(results_thermal,model,inputs);
 	
@@ -98,5 +98,5 @@
 
 		//now compute diagnostic velocity using the steady state temperature.
-		results_diagnostic=new DataSet(ResultsEnum());
+		results_diagnostic=new DataSet(ResultsEnum);
 		diagnostic_core(results_diagnostic,model, inputs);
 
Index: issm/trunk/src/c/parallel/thermal.cpp
===================================================================
--- issm/trunk/src/c/parallel/thermal.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/thermal.cpp	(revision 3567)
@@ -73,7 +73,7 @@
 
 	_printf_("read and create thermal finite element model:\n");
-	model->AddFormulation(fid,ThermalAnalysisEnum());
+	model->AddFormulation(fid,ThermalAnalysisEnum);
 	_printf_("read and create melting finite element model:\n");
-	model->AddFormulation(fid,MeltingAnalysisEnum());
+	model->AddFormulation(fid,MeltingAnalysisEnum);
 
 	/*recover parameters: */
@@ -82,6 +82,6 @@
 	
 	_printf_("initialize inputs:\n");
-	model->FindParam(&u_g,NULL,NULL,"u_g",ThermalAnalysisEnum());
-	model->FindParam(&p_g,NULL,NULL,"p_g",ThermalAnalysisEnum());
+	model->FindParam(&u_g,NULL,NULL,"u_g",ThermalAnalysisEnum);
+	model->FindParam(&p_g,NULL,NULL,"p_g",ThermalAnalysisEnum);
 	model->FindParam(&numberofnodes,"numberofnodes");
 	model->FindParam(&dt,"dt");
@@ -95,5 +95,5 @@
 
 	_printf_("initialize results:\n");
-	results=new DataSet(ResultsEnum());
+	results=new DataSet(ResultsEnum);
 	MPI_Barrier(MPI_COMM_WORLD); finish_init=MPI_Wtime();
 
@@ -112,5 +112,5 @@
 			
 		_printf_("process results:\n");
-		ProcessResults(&processed_results,results,model,ThermalAnalysisEnum());
+		ProcessResults(&processed_results,results,model,ThermalAnalysisEnum);
 		
 		_printf_("write results to disk:\n");
@@ -123,5 +123,5 @@
 		#ifdef _HAVE_DAKOTA_ 
 		MPI_Barrier(MPI_COMM_WORLD); start_core=MPI_Wtime( );
-		Qmux(model,inputs,ThermalAnalysisEnum(),NoneAnalysisEnum());
+		Qmux(model,inputs,ThermalAnalysisEnum,NoneAnalysisEnum);
 		MPI_Barrier(MPI_COMM_WORLD); finish_core=MPI_Wtime( );
 	 	#else
Index: issm/trunk/src/c/parallel/thermal_core.cpp
===================================================================
--- issm/trunk/src/c/parallel/thermal_core.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/thermal_core.cpp	(revision 3567)
@@ -45,6 +45,6 @@
 
 	/*recover fem models: */
-	fem_t=model->GetFormulation(ThermalAnalysisEnum());
-	fem_m=model->GetFormulation(MeltingAnalysisEnum());
+	fem_t=model->GetFormulation(ThermalAnalysisEnum);
+	fem_m=model->GetFormulation(MeltingAnalysisEnum);
 
 	//first recover parameters common to all solutions
@@ -65,10 +65,10 @@
 
 		if(verbose)_printf_("computing temperatures:\n");
-		thermal_core_nonlinear(&t_g[0],&melting_offset,fem_t,inputs,ThermalAnalysisEnum(),NoneAnalysisEnum());
+		thermal_core_nonlinear(&t_g[0],&melting_offset,fem_t,inputs,ThermalAnalysisEnum,NoneAnalysisEnum);
 		inputs->Add("temperature",t_g[0],1,numberofnodes);
 		inputs->Add("melting_offset",melting_offset);
 		
 		if(verbose)_printf_("computing melting:\n");
-		diagnostic_core_linear(&m_g[0],fem_m,inputs,MeltingAnalysisEnum(),NoneAnalysisEnum());
+		diagnostic_core_linear(&m_g[0],fem_m,inputs,MeltingAnalysisEnum,NoneAnalysisEnum);
 	}
 	else{
@@ -96,10 +96,10 @@
 			if(verbose)_printf_("computing temperatures:\n");
 			inputs->Add("temperature",t_g[i],1,numberofnodes);
-			thermal_core_nonlinear(&t_g[i+1],&melting_offset,fem_t,inputs,ThermalAnalysisEnum(),NoneAnalysisEnum());
+			thermal_core_nonlinear(&t_g[i+1],&melting_offset,fem_t,inputs,ThermalAnalysisEnum,NoneAnalysisEnum);
 			
 			if(verbose)_printf_("computing melting:\n");
 			inputs->Add("temperature",t_g[i+1],1,numberofnodes);
 			inputs->Add("melting_offset",melting_offset);
-			diagnostic_core_linear(&m_g[i+1],fem_m,inputs,MeltingAnalysisEnum(),NoneAnalysisEnum());
+			diagnostic_core_linear(&m_g[i+1],fem_m,inputs,MeltingAnalysisEnum,NoneAnalysisEnum);
 		}
 	}
Index: issm/trunk/src/c/parallel/transient.cpp
===================================================================
--- issm/trunk/src/c/parallel/transient.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/transient.cpp	(revision 3567)
@@ -76,20 +76,20 @@
 	_printf_("read and create finite element model:\n");
 	_printf_("\n   reading diagnostic horiz model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),HorizAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,HorizAnalysisEnum);
 
 	_printf_("\n   reading diagnostic vert model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),VertAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,VertAnalysisEnum);
 	
 	_printf_("\n   reading diagnostic stokes model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),StokesAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,StokesAnalysisEnum);
 	
 	_printf_("\n   reading diagnostic hutter model data:\n");
-	model->AddFormulation(fid,DiagnosticAnalysisEnum(),HutterAnalysisEnum());
+	model->AddFormulation(fid,DiagnosticAnalysisEnum,HutterAnalysisEnum);
 	
 	_printf_("\n   reading surface and bed slope computation model data:\n");
-	model->AddFormulation(fid,SlopecomputeAnalysisEnum());
+	model->AddFormulation(fid,SlopecomputeAnalysisEnum);
 
 	_printf_("\n   reading prognositc model data:\n");
-	model->AddFormulation(fid,PrognosticAnalysisEnum());
+	model->AddFormulation(fid,PrognosticAnalysisEnum);
 	
 	/*Do we run in 3d?, in which case we need thermal and melting also:*/
@@ -97,7 +97,7 @@
 	if(dim==3){
 		_printf_("read and create thermal finite element model:\n");
-		model->AddFormulation(fid,ThermalAnalysisEnum(),TransientAnalysisEnum());
+		model->AddFormulation(fid,ThermalAnalysisEnum,TransientAnalysisEnum);
 		_printf_("read and create melting finite element model:\n");
-		model->AddFormulation(fid,MeltingAnalysisEnum(),TransientAnalysisEnum());
+		model->AddFormulation(fid,MeltingAnalysisEnum,TransientAnalysisEnum);
 	}
 
@@ -107,7 +107,7 @@
 
 	_printf_("initialize inputs:\n");
-	model->FindParam(&u_g,NULL,NULL,"u_g",PrognosticAnalysisEnum());
-	model->FindParam(&m_g,NULL,NULL,"m_g",PrognosticAnalysisEnum());
-	model->FindParam(&a_g,NULL,NULL,"a_g",PrognosticAnalysisEnum());
+	model->FindParam(&u_g,NULL,NULL,"u_g",PrognosticAnalysisEnum);
+	model->FindParam(&m_g,NULL,NULL,"m_g",PrognosticAnalysisEnum);
+	model->FindParam(&a_g,NULL,NULL,"a_g",PrognosticAnalysisEnum);
 	model->FindParam(&numberofnodes,"numberofnodes");
 	model->FindParam(&dt,"dt");
@@ -122,5 +122,5 @@
 	
 	_printf_("initialize results:\n");
-	results=new DataSet(ResultsEnum());
+	results=new DataSet(ResultsEnum);
 	MPI_Barrier(MPI_COMM_WORLD); finish_init=MPI_Wtime();
 
@@ -139,5 +139,5 @@
 
 		_printf_("process results:\n");
-		ProcessResults(&processed_results,results,model,TransientAnalysisEnum());
+		ProcessResults(&processed_results,results,model,TransientAnalysisEnum);
 		
 		_printf_("write results to disk:\n");
@@ -150,5 +150,5 @@
 		#ifdef _HAVE_DAKOTA_ 
 		MPI_Barrier(MPI_COMM_WORLD); start_core=MPI_Wtime( );
-		Qmux(model,inputs,TransientAnalysisEnum(),NoneAnalysisEnum());
+		Qmux(model,inputs,TransientAnalysisEnum,NoneAnalysisEnum);
 		MPI_Barrier(MPI_COMM_WORLD); finish_core=MPI_Wtime( );
 	 	#else
Index: issm/trunk/src/c/parallel/transient_core_2d.cpp
===================================================================
--- issm/trunk/src/c/parallel/transient_core_2d.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/transient_core_2d.cpp	(revision 3567)
@@ -63,10 +63,10 @@
 
 	/*recover fem models: */
-	fem_dh=model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum());
-	fem_dv=model->GetFormulation(DiagnosticAnalysisEnum(),VertAnalysisEnum());
-	fem_ds=model->GetFormulation(DiagnosticAnalysisEnum(),StokesAnalysisEnum());
-	fem_dhu=model->GetFormulation(DiagnosticAnalysisEnum(),HutterAnalysisEnum());
-	fem_sl=model->GetFormulation(SlopecomputeAnalysisEnum());
-	fem_p=model->GetFormulation(PrognosticAnalysisEnum());
+	fem_dh=model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum);
+	fem_dv=model->GetFormulation(DiagnosticAnalysisEnum,VertAnalysisEnum);
+	fem_ds=model->GetFormulation(DiagnosticAnalysisEnum,StokesAnalysisEnum);
+	fem_dhu=model->GetFormulation(DiagnosticAnalysisEnum,HutterAnalysisEnum);
+	fem_sl=model->GetFormulation(SlopecomputeAnalysisEnum);
+	fem_p=model->GetFormulation(PrognosticAnalysisEnum);
 
 
@@ -119,5 +119,5 @@
 		//Deal with velocities.
 		_printf_("%s\n","computing new velocity");
-		diagnostic_results=new DataSet(ResultsEnum()); 
+		diagnostic_results=new DataSet(ResultsEnum); 
 		diagnostic_core(diagnostic_results,model, inputs);
 
@@ -131,5 +131,5 @@
 		
 		inputs->Add("velocity",u_g,2,numberofnodes);
-		prognostic_results=new DataSet(ResultsEnum()); 
+		prognostic_results=new DataSet(ResultsEnum); 
 		prognostic_core(prognostic_results,model, inputs);
 	
Index: issm/trunk/src/c/parallel/transient_core_3d.cpp
===================================================================
--- issm/trunk/src/c/parallel/transient_core_3d.cpp	(revision 3566)
+++ issm/trunk/src/c/parallel/transient_core_3d.cpp	(revision 3567)
@@ -67,12 +67,12 @@
 
 	/*recover fem models: */
-	fem_dh=model->GetFormulation(DiagnosticAnalysisEnum(),HorizAnalysisEnum());
-	fem_dv=model->GetFormulation(DiagnosticAnalysisEnum(),VertAnalysisEnum());
-	fem_ds=model->GetFormulation(DiagnosticAnalysisEnum(),StokesAnalysisEnum());
-	fem_dhu=model->GetFormulation(DiagnosticAnalysisEnum(),HutterAnalysisEnum());
-	fem_sl=model->GetFormulation(SlopecomputeAnalysisEnum());
-	fem_p=model->GetFormulation(PrognosticAnalysisEnum());
-	fem_t=model->GetFormulation(ThermalAnalysisEnum());
-	fem_m=model->GetFormulation(MeltingAnalysisEnum());
+	fem_dh=model->GetFormulation(DiagnosticAnalysisEnum,HorizAnalysisEnum);
+	fem_dv=model->GetFormulation(DiagnosticAnalysisEnum,VertAnalysisEnum);
+	fem_ds=model->GetFormulation(DiagnosticAnalysisEnum,StokesAnalysisEnum);
+	fem_dhu=model->GetFormulation(DiagnosticAnalysisEnum,HutterAnalysisEnum);
+	fem_sl=model->GetFormulation(SlopecomputeAnalysisEnum);
+	fem_p=model->GetFormulation(PrognosticAnalysisEnum);
+	fem_t=model->GetFormulation(ThermalAnalysisEnum);
+	fem_m=model->GetFormulation(MeltingAnalysisEnum);
 
 
@@ -134,9 +134,9 @@
 		//Deal with temperature first 
 		if(verbose)_printf_("%s\n","computing temperature");
-		thermal_core_nonlinear(&t_g,&melting_offset,fem_t,inputs,ThermalAnalysisEnum(),TransientAnalysisEnum());
+		thermal_core_nonlinear(&t_g,&melting_offset,fem_t,inputs,ThermalAnalysisEnum,TransientAnalysisEnum);
 		if(verbose)_printf_("%s\n","computing melting");
 		inputs->Add("temperature",t_g,1,numberofnodes);
 		inputs->Add("melting_offset",melting_offset);
-		diagnostic_core_linear(&m_g,fem_m,inputs,MeltingAnalysisEnum(),TransientAnalysisEnum());
+		diagnostic_core_linear(&m_g,fem_m,inputs,MeltingAnalysisEnum,TransientAnalysisEnum);
 
 		//Compute depth averaged temperature and add to inputs
@@ -148,5 +148,5 @@
 
 		//Deal with velocities.
-		diagnostic_results=new DataSet(ResultsEnum()); 
+		diagnostic_results=new DataSet(ResultsEnum); 
 		diagnostic_core(diagnostic_results,model, inputs);
 
@@ -160,5 +160,5 @@
 		
 		inputs->Add("velocity",u_g,3,numberofnodes);
-		prognostic_results=new DataSet(ResultsEnum()); prognostic_core(prognostic_results,model, inputs);
+		prognostic_results=new DataSet(ResultsEnum); prognostic_core(prognostic_results,model, inputs);
 	
 		//extract h_g prognostic_results, and erase prognostic_results;
@@ -198,5 +198,5 @@
 
 			model->FindParam(&outputfilename,"outputfilename");
-			ProcessResults(&processed_results,results,model,TransientAnalysisEnum());
+			ProcessResults(&processed_results,results,model,TransientAnalysisEnum);
 			OutputResults(processed_results,outputfilename);
 
Index: issm/trunk/src/c/shared/Dofs/DistributeNumDofs.cpp
===================================================================
--- issm/trunk/src/c/shared/Dofs/DistributeNumDofs.cpp	(revision 3566)
+++ issm/trunk/src/c/shared/Dofs/DistributeNumDofs.cpp	(revision 3567)
@@ -13,51 +13,51 @@
 
 	/*ok, according to analysis type: */
-	if (analysis_type==ControlAnalysisEnum()){
-		if (sub_analysis_type==HorizAnalysisEnum()){
+	if (analysis_type==ControlAnalysisEnum){
+		if (sub_analysis_type==HorizAnalysisEnum){
 			numdofs=2;
 		}
-		else if (sub_analysis_type==VertAnalysisEnum()){
+		else if (sub_analysis_type==VertAnalysisEnum){
 			numdofs=1;
 		}
-		else if (sub_analysis_type==StokesAnalysisEnum()){
+		else if (sub_analysis_type==StokesAnalysisEnum){
 			numdofs=4;
 		}
-		else if (sub_analysis_type==HutterAnalysisEnum()){
+		else if (sub_analysis_type==HutterAnalysisEnum){
 			numdofs=2;
 		}
 	}
-	else if (analysis_type==DiagnosticAnalysisEnum()){
-		if (sub_analysis_type==HorizAnalysisEnum()){
+	else if (analysis_type==DiagnosticAnalysisEnum){
+		if (sub_analysis_type==HorizAnalysisEnum){
 			numdofs=2;
 		}
-		else if (sub_analysis_type==VertAnalysisEnum()){
+		else if (sub_analysis_type==VertAnalysisEnum){
 			numdofs=1;
 		}
-		else if (sub_analysis_type==StokesAnalysisEnum()){
+		else if (sub_analysis_type==StokesAnalysisEnum){
 			numdofs=4;
 		}
-		else if (sub_analysis_type==HutterAnalysisEnum()){
+		else if (sub_analysis_type==HutterAnalysisEnum){
 			numdofs=2;
 		}
 	}
-	else if (analysis_type==SlopecomputeAnalysisEnum()){
+	else if (analysis_type==SlopecomputeAnalysisEnum){
 		numdofs=1;
 	}
-	else if (analysis_type==ThermalAnalysisEnum()){
+	else if (analysis_type==ThermalAnalysisEnum){
 		numdofs=1;
 	}
-	else if (analysis_type==MeltingAnalysisEnum()){
+	else if (analysis_type==MeltingAnalysisEnum){
 		numdofs=1;
 	}
-	else if (analysis_type==PrognosticAnalysisEnum()){
+	else if (analysis_type==PrognosticAnalysisEnum){
 		numdofs=1;
 	}
-	else if (analysis_type==Prognostic2AnalysisEnum()){
+	else if (analysis_type==Prognostic2AnalysisEnum){
 		numdofs=1;
 	}
-	else if (analysis_type==BalancedthicknessAnalysisEnum()){
+	else if (analysis_type==BalancedthicknessAnalysisEnum){
 		numdofs=1;
 	}
-	else if (analysis_type==BalancedvelocitiesAnalysisEnum()){
+	else if (analysis_type==BalancedvelocitiesAnalysisEnum){
 		numdofs=1;
 	}
Index: issm/trunk/src/m/enum/AdjointAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/AdjointAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/AdjointAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=AdjointAnalysisEnum()
 
-macro=221;
+macro=16;
Index: issm/trunk/src/m/enum/AirEnum.m
===================================================================
--- issm/trunk/src/m/enum/AirEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/AirEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=AirEnum()
 
-macro=603;
+macro=75;
Index: issm/trunk/src/m/enum/AnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/AnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/AnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=AnalysisEnum()
 
-macro=200;
+macro=9;
Index: issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/BalancedthicknessAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=BalancedthicknessAnalysisEnum()
 
-macro=252;
+macro=29;
Index: issm/trunk/src/m/enum/BalancedvelocitiesAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BalancedvelocitiesAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/BalancedvelocitiesAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=BalancedvelocitiesAnalysisEnum()
 
-macro=253;
+macro=30;
Index: issm/trunk/src/m/enum/BeamEnum.m
===================================================================
--- issm/trunk/src/m/enum/BeamEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/BeamEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=BeamEnum()
 
-macro=416;
+macro=49;
Index: issm/trunk/src/m/enum/BedXAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedXAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/BedXAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=BedXAnalysisEnum()
 
-macro=243;
+macro=25;
Index: issm/trunk/src/m/enum/BedYAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/BedYAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/BedYAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=BedYAnalysisEnum()
 
-macro=244;
+macro=26;
Index: issm/trunk/src/m/enum/ConstraintsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ConstraintsEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ConstraintsEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ConstraintsEnum()
 
-macro=103;
+macro=3;
Index: issm/trunk/src/m/enum/ControlAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/ControlAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ControlAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ControlAnalysisEnum()
 
-macro=220;
+macro=15;
Index: issm/trunk/src/m/enum/DatasetsEnum.m
===================================================================
--- issm/trunk/src/m/enum/DatasetsEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/DatasetsEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=DatasetsEnum()
 
-macro=100;
+macro=0;
Index: issm/trunk/src/m/enum/DiagnosticAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/DiagnosticAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/DiagnosticAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=DiagnosticAnalysisEnum()
 
-macro=210;
+macro=10;
Index: issm/trunk/src/m/enum/DofIndexingEnum.m
===================================================================
--- issm/trunk/src/m/enum/DofIndexingEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/DofIndexingEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=DofIndexingEnum()
 
-macro=417;
+macro=51;
Index: issm/trunk/src/m/enum/DofVecEnum.m
===================================================================
--- issm/trunk/src/m/enum/DofVecEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/DofVecEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=DofVecEnum()
 
-macro=495;
+macro=69;
Index: issm/trunk/src/m/enum/ElementEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ElementEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ElementEnum()
 
-macro=410;
+macro=44;
Index: issm/trunk/src/m/enum/ElementPropertiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementPropertiesEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ElementPropertiesEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ElementPropertiesEnum()
 
-macro=412;
+macro=46;
Index: issm/trunk/src/m/enum/ElementsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ElementsEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ElementsEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ElementsEnum()
 
-macro=101;
+macro=1;
Index: issm/trunk/src/m/enum/FormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/FormulationEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/FormulationEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=FormulationEnum()
 
-macro=300;
+macro=36;
Index: issm/trunk/src/m/enum/GeographyEnum.m
===================================================================
--- issm/trunk/src/m/enum/GeographyEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/GeographyEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=GeographyEnum()
 
-macro=500;
+macro=70;
Index: issm/trunk/src/m/enum/GradientAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/GradientAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/GradientAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=GradientAnalysisEnum()
 
-macro=223;
+macro=18;
Index: issm/trunk/src/m/enum/HookEnum.m
===================================================================
--- issm/trunk/src/m/enum/HookEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/HookEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=HookEnum()
 
-macro=409;
+macro=43;
Index: issm/trunk/src/m/enum/HorizAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/HorizAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/HorizAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=HorizAnalysisEnum()
 
-macro=211;
+macro=11;
Index: issm/trunk/src/m/enum/HutterAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/HutterAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/HutterAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=HutterAnalysisEnum()
 
-macro=213;
+macro=13;
Index: issm/trunk/src/m/enum/HutterFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/HutterFormulationEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/HutterFormulationEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=HutterFormulationEnum()
 
-macro=302;
+macro=38;
Index: issm/trunk/src/m/enum/IceEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/IceEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=IceEnum()
 
-macro=602;
+macro=74;
Index: issm/trunk/src/m/enum/IceSheetEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceSheetEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/IceSheetEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=IceSheetEnum()
 
-macro=502;
+macro=71;
Index: issm/trunk/src/m/enum/IceShelfEnum.m
===================================================================
--- issm/trunk/src/m/enum/IceShelfEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/IceShelfEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=IceShelfEnum()
 
-macro=502;
+macro=72;
Index: issm/trunk/src/m/enum/IcefrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/IcefrontEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/IcefrontEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=IcefrontEnum()
 
-macro=431;
+macro=55;
Index: issm/trunk/src/m/enum/InputEnum.m
===================================================================
--- issm/trunk/src/m/enum/InputEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/InputEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=InputEnum()
 
-macro=450;
+macro=64;
Index: issm/trunk/src/m/enum/InverseAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/InverseAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/InverseAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=InverseAnalysisEnum()
 
-macro=222;
+macro=17;
Index: issm/trunk/src/m/enum/LoadEnum.m
===================================================================
--- issm/trunk/src/m/enum/LoadEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/LoadEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=LoadEnum()
 
-macro=430;
+macro=54;
Index: issm/trunk/src/m/enum/LoadsEnum.m
===================================================================
--- issm/trunk/src/m/enum/LoadsEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/LoadsEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=LoadsEnum()
 
-macro=104;
+macro=4;
Index: issm/trunk/src/m/enum/MacAyealFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/MacAyealFormulationEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MacAyealFormulationEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MacAyealFormulationEnum()
 
-macro=303;
+macro=39;
Index: issm/trunk/src/m/enum/MaterialEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaterialEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MaterialEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MaterialEnum()
 
-macro=440;
+macro=60;
Index: issm/trunk/src/m/enum/MaterialsEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaterialsEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MaterialsEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MaterialsEnum()
 
-macro=105;
+macro=5;
Index: issm/trunk/src/m/enum/MaticeEnum.m
===================================================================
--- issm/trunk/src/m/enum/MaticeEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MaticeEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MaticeEnum()
 
-macro=441;
+macro=61;
Index: issm/trunk/src/m/enum/MatparEnum.m
===================================================================
--- issm/trunk/src/m/enum/MatparEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MatparEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MatparEnum()
 
-macro=442;
+macro=62;
Index: issm/trunk/src/m/enum/MelangeEnum.m
===================================================================
--- issm/trunk/src/m/enum/MelangeEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MelangeEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MelangeEnum()
 
-macro=604;
+macro=76;
Index: issm/trunk/src/m/enum/MeltingAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/MeltingAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/MeltingAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=MeltingAnalysisEnum()
 
-macro=260;
+macro=31;
Index: issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/Mesh2gridAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=Mesh2gridAnalysisEnum()
 
-macro=270;
+macro=32;
